## @id $Id$
##
## This file has been added:
##  - by bootstrap.sh
##  -  on Wed, 04 April 2018 22:04:06 +0200
## Feel free to change it or even remove and rebuild it, up to your needs
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

bin_PROGRAMS = pdfsign

## required to enable the translation feature
LANGUAGE_FILE_BASE = pdfsign

## list here the Qt plugins your project depends on
## required to build Mac OS-X app-bundle
QT_PLUGINS = iconengines imageformats platforms

#### enable if you deliver a KDE/Gnome desktop file
#applicationsdir = ${datarootdir}/applications
#dist_applications_DATA = pdfsign.desktop

#### enable (ev. instead of bin_PROGRAMS) if you build a library
#lib_LTLIBRARIES = pdfsign.la
#pdfsign_la_SOURCES = libmain.cxx version.cxx
## noop to prevent:
## «src/makefile.am: error: object 'version.$(OBJEXT)' created both with
## libtool and without»
#pdfsign_la_CXXFLAGS = $(AM_CXXFLAGS)

## list headers that are required for build, but that are not installed
noinst_HEADERS = version.hxx

## list all %.hxx files with Q_OBJECT as moc_%.cxx
pdfsign_MOCFILES = moc_pdfsign.cxx

## list all %.ui files as ui_%.hxx
pdfsign_UIFILES = ui_pdfsign.hxx

## list all %.qrc resource files as qrc_%.cxx
## note: if there exists a directory %, the file %.qrc is generated from that
pdfsign_RESOURCES =  qrc_languages.cxx # qrc_resources.cxx

## list all final translation files, list all supported languages here
pdfsign_TRANSLATIONS = ${LANGUAGE_FILE_BASE}_en.qm	\
     ${LANGUAGE_FILE_BASE}_de.qm \
     ${LANGUAGE_FILE_BASE}_fr.qm \
     ${LANGUAGE_FILE_BASE}_it.qm

## list all C++ files that need translation
pdfsign_TR_FILES = main.cxx version.cxx

## automatic assembly, no need to change
pdfsign_SOURCES = ${pdfsign_TR_FILES} ${BUILT_SOURCES}

## automatic assembly, no need to change
BUILT_SOURCES = ${pdfsign_MOCFILES} \
                ${pdfsign_UIFILES} \
                ${pdfsign_TRANSLATIONS} \
                ${pdfsign_RESOURCES}

## automatic assembly, no need to change
EXTRA_DIST_TR = ${pdfsign_MOCFILES:moc_%.cxx=%.hxx} \
                ${pdfsign_UIFILES:ui_%.hxx=%.ui}

## automatic assembly, no need to change
## except: adapt the pre-delivered qt_%.qm list (language files you copy from qt
EXTRA_DIST = ${EXTRA_DIST_TR} \
             ${pdfsign_RESOURCES:qrc_%.cxx=%.qrc} \
             ${pdfsign_TRANSLATIONS:%.qm=%.ts} \
             qt_de.qm qt_fr.qm

## automatic assembly, no need to change
LANGUAGE_FILES = ${EXTRA_DIST_TR} ${pdfsign_TR_FILES}

CLEANFILES = ${pdfsign_RESOURCES}
MAINTAINERCLEANFILES = makefile.in
